Page MenuHomePhabricator

Archive the CustomSidebar extension
Closed, ResolvedPublicRequest

Description

Reason:
This extension has been unmaintained since 2009, and has not worked since MediaWiki 1.23.

Note that there is an unrelated CustomSidebar extension used on a handful of wikis with a version number of 1.12+.

To-do list

  • This task
    • Add maintainers of that extension as subscribers to this task (if they have no apparent Phabricator account, notify them on-wiki or via email if possible and note it here).
    • Add Phabricator project as a tag for this task, or MediaWiki-extensions-Other if there is no project.
  • On-wiki documentation
    • Archive documentation on mediawiki.org (https://www.mediawiki.org/wiki/Extension:CustomSidebar): replace page contents with {{Archived extension|last revision id before archiving|reason=archive reasons, per [[phab:T199712]]}}.
    • If documentation page was translatable, remove <translate>, visit Special:PageTranslation, and click "remove from translation" (if you don't have the translation administrator right, ask a user who does).
    • Update Wikidata item associated with documentation page
      • add statement Abandonware (Q281039) to instance of (P31) together with qualifier start time (P580) = the YYYY-MM-DD (date that you decided to archive extension generally per edit history)
      • add qualifier end time (P582) = the YYYY-MM-DD (same date as above) to instance of (P31) = MediaWiki extension (Q6805426)
  • Phabricator
    • Archive Phabricator project for the extension.
    • Mark all Phabricator tasks for the extension either Declined or Invalid.
    • Edit Phabricator project description for the extension with a link to this ticket.
  • Translatewiki.net/translations
    • Remove from translatewiki.net (groups/MediaWiki/mediawiki-extensions.txt) (add translatewiki.net project as a tag for this task).
  • Configuration/tests/integrations/etc.
  • Repositories

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2018, 3:35 PM

Change 446229 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/CustomSidebar@master] Add ARCHIVED file because of archiving this repository

https://gerrit.wikimedia.org/r/446229

Dinoguy1000 updated the task description. (Show Details)Jul 17 2018, 7:10 AM

Change 446230 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[integration/config@master] Revert "Add unit tests for CustomSidebar". This reverts commit 6d60535f6e034c0bf51bd7919428050a54c1c41d.

https://gerrit.wikimedia.org/r/446230

Zoranzoki21 updated the task description. (Show Details)Jul 17 2018, 7:16 AM

Change 446230 merged by jenkins-bot:
[integration/config@master] Archive CustomSidebar

https://gerrit.wikimedia.org/r/446230

Zoranzoki21 updated the task description. (Show Details)Jul 18 2018, 9:55 AM
Zoranzoki21 updated the task description. (Show Details)Jul 18 2018, 9:57 AM
Zoranzoki21 moved this task from Backlog to Cleanup / Archival on the Repository-Admins board.
Zoranzoki21 moved this task from Backlog to delete on the GitHub-Mirrors board.
Zoranzoki21 added a subscriber: Zoranzoki21.

Taking that. I will remove claim when I done with things which I can to do.

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptJul 18 2018, 11:38 AM

It seems the code is hosted external and the gerrit repo is never used, because it is still empty.

The repo was not requested by the main author, see https://www.mediawiki.org/wiki/Gerrit/New_repositories/Requests/Archive/2018

Maybe the git repo is still needed to create a 1.27 version?

If I'm reading that page correctly, it was requested by a pmiguelpirzer, however I can't find a Mediawiki.org or Phabricator account likely to be that person? If anyone knows who this is, they should probably be notified of this issue. (Also if anyone can get in touch with Frantik, the extension's original developer, though it doesn't look/sound like that's very promising...)

If I'm reading that page correctly, it was requested by a pmiguelpirzer, however I can't find a Mediawiki.org or Phabricator account likely to be that person

There are git and gerrit accounts. I've sent them an email.

Zoranzoki21 removed Zoranzoki21 as the assignee of this task.Dec 31 2018, 4:35 AM
Zoranzoki21 removed a project: User-Zoranzoki21.
Zoranzoki21 removed a subscriber: Zoranzoki21.

Change 495925 had a related patch set uploaded (by MacFan4000; owner: MacFan4000):
[translatewiki@master] Archive CustomSidebar

https://gerrit.wikimedia.org/r/495925

Change 495925 abandoned by MacFan4000:
Archive CustomSidebar

https://gerrit.wikimedia.org/r/495925

Florian updated the task description. (Show Details)Aug 11 2019, 11:08 AM

Change 446229 merged by Florianschmidtwelzow:
[mediawiki/extensions/CustomSidebar@master] Add ARCHIVED file because of archiving this repository

https://gerrit.wikimedia.org/r/446229

Change 529593 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions@master] Remove CustomSidebar extension

https://gerrit.wikimedia.org/r/529593

Florian updated the task description. (Show Details)Aug 11 2019, 12:02 PM

Change 529596 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[translatewiki@master] Remove comment related to CustomSidebar extension from mediawiki-extensions.txt

https://gerrit.wikimedia.org/r/529596

Zoranzoki21 updated the task description. (Show Details)Aug 11 2019, 12:24 PM
Zoranzoki21 triaged this task as Normal priority.Aug 11 2019, 12:28 PM
Zoranzoki21 updated the task description. (Show Details)
Zoranzoki21 added a project: translatewiki.net.
Zoranzoki21 moved this task from Backlog to Configuration changes on the translatewiki.net board.

Change 529593 merged by Florianschmidtwelzow:
[mediawiki/extensions@master] Remove CustomSidebar extension

https://gerrit.wikimedia.org/r/529593

Dinoguy1000 updated the task description. (Show Details)Aug 11 2019, 3:45 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptAug 11 2019, 3:45 PM

Change 529596 merged by jenkins-bot:
[translatewiki@master] Remove comment related to CustomSidebar extension from mediawiki-extensions.txt

https://gerrit.wikimedia.org/r/529596

MGChecker updated the task description. (Show Details)Aug 11 2019, 5:30 PM
MGChecker removed a project: translatewiki.net.
MGChecker added a subscriber: MGChecker.

Most of this was trivially done, as there were no open tasks, no internationalization, and no translations. There even only way a repo because it was created a year ago without referencing it anywhere.

MGChecker updated the task description. (Show Details)Aug 11 2019, 5:32 PM
Zoranzoki21 updated the task description. (Show Details)Aug 11 2019, 9:55 PM
Zoranzoki21 updated the task description. (Show Details)
D3r1ck01 updated the task description. (Show Details)Sat, Aug 31, 1:18 PM
D3r1ck01 claimed this task.Sat, Aug 31, 1:50 PM
D3r1ck01 updated the task description. (Show Details)
Restricted Application added a project: User-D3r1ck01. · View Herald TranscriptSat, Aug 31, 1:51 PM
D3r1ck01 moved this task from Backlog to Doing [WIP] on the User-D3r1ck01 board.Sat, Aug 31, 1:51 PM
Krinkle updated the task description. (Show Details)Sat, Aug 31, 1:58 PM
D3r1ck01 closed this task as Resolved.Wed, Sep 4, 3:36 PM
D3r1ck01 removed D3r1ck01 as the assignee of this task.
D3r1ck01 removed a project: User-D3r1ck01.
D3r1ck01 moved this task from Doing [WIP] to Reviewed/Resolved on the User-D3r1ck01 board.
D3r1ck01 added a subscriber: D3r1ck01.